CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities Published In April 2018(Overflow)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2018-10540 787 Overflow 2018-04-29 2019-12-20
4.3
None Remote Medium Not required None None Partial
An issue was discovered in WavPack 5.1.0 and earlier for W64 input. Out-of-bounds writes can occur because ParseWave64HeaderConfig in wave64.c does not validate the sizes of unknown chunks before attempting memory allocation, related to a lack of integer-overflow protection within a bytes_to_copy calculation and subsequent malloc call, leading to insufficient memory allocation.
2 CVE-2018-10539 787 Overflow 2018-04-29 2019-12-20
4.3
None Remote Medium Not required None None Partial
An issue was discovered in WavPack 5.1.0 and earlier for DSDiff input. Out-of-bounds writes can occur because ParseDsdiffHeaderConfig in dsdiff.c does not validate the sizes of unknown chunks before attempting memory allocation, related to a lack of integer-overflow protection within a bytes_to_copy calculation and subsequent malloc call, leading to insufficient memory allocation.
3 CVE-2018-10538 787 Overflow 2018-04-29 2019-12-20
4.3
None Remote Medium Not required None None Partial
An issue was discovered in WavPack 5.1.0 and earlier for WAV input. Out-of-bounds writes can occur because ParseRiffHeaderConfig in riff.c does not validate the sizes of unknown chunks before attempting memory allocation, related to a lack of integer-overflow protection within a bytes_to_copy calculation and subsequent malloc call, leading to insufficient memory allocation.
4 CVE-2018-10537 119 Overflow 2018-04-29 2019-12-20
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in WavPack 5.1.0 and earlier. The W64 parser component contains a vulnerability that allows writing to memory because ParseWave64HeaderConfig in wave64.c does not reject multiple format chunks.
5 CVE-2018-10528 787 Overflow 2018-04-29 2020-10-15
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in LibRaw 0.18.9. There is a stack-based buffer overflow in the utf2char function in libraw_cxx.cpp.
6 CVE-2018-10392 125 DoS Overflow 2018-04-26 2021-11-30
6.8
None Remote Medium Not required Partial Partial Partial
mapping0_forward in mapping0.c in Xiph.Org libvorbis 1.3.6 does not validate the number of channels, which allows remote attackers to cause a denial of service (heap-based buffer overflow or over-read) or possibly have unspecified other impact via a crafted file.
7 CVE-2018-10376 190 Overflow 2018-04-25 2018-06-13
5.0
None Remote Low Not required None Partial None
An integer overflow in the transferProxy function of a smart contract implementation for SmartMesh (aka SMT), an Ethereum ERC20 token, allows attackers to accomplish an unauthorized increase of digital assets via crafted _fee and _value parameters, as exploited in the wild in April 2018, aka the "proxyOverflow" issue.
8 CVE-2018-10316 190 Overflow 2018-04-24 2020-07-13
4.3
None Remote Medium Not required None None Partial
Netwide Assembler (NASM) 2.14rc0 has an endless while loop in the assemble_file function of asm/nasm.c because of a globallineno integer overflow.
9 CVE-2018-10299 190 Overflow 2018-04-23 2018-08-29
5.0
None Remote Low Not required None Partial None
An integer overflow in the batchTransfer function of a smart contract implementation for Beauty Ecosystem Coin (BEC), the Ethereum ERC20 token used in the Beauty Chain economic system, allows attackers to accomplish an unauthorized increase of digital assets by providing two _receivers arguments in conjunction with a large _value argument, as exploited in the wild in April 2018, aka the "batchOverflow" issue.
10 CVE-2018-10253 119 Overflow 2018-04-21 2018-05-22
5.0
None Remote Low Not required None None Partial
Paessler PRTG Network Monitor before 18.1.39.1648 mishandles stack memory during unspecified API calls.
11 CVE-2018-10238 119 Overflow 2018-04-20 2019-10-07
7.5
None Remote Low Not required Partial Partial Partial
bvlc.c in skarg BACnet Protocol Stack bacserv 0.9.1 and 0.8.5 is affected by a Buffer Overflow because of a lack of packet-size validation. The affected component is bacserv BACnet/IP BVLC forwarded NPDU. The function bvlc_bdt_forward_npdu() calls bvlc_encode_forwarded_npdu() which copies the content from the request into a local in the bvlc_bdt_forward_npdu() stack frame and clobbers the canary. The attack vector is: A BACnet/IP device with BBMD enabled based on this library connected to IP network. The fixed version is: 0.8.6.
12 CVE-2018-10194 119 DoS Overflow 2018-04-18 2019-07-24
6.8
None Remote Medium Not required Partial Partial Partial
The set_text_distance function in devices/vector/gdevpdts.c in the pdfwrite component in Artifex Ghostscript through 9.22 does not prevent overflows in text-positioning calculation, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted PDF document.
13 CVE-2018-10191 190 Exec Code Overflow 2018-04-17 2018-05-21
7.5
None Remote Low Not required Partial Partial Partial
In versions of mruby up to and including 1.4.0, an integer overflow exists in src/vm.c::mrb_vm_exec() when handling OP_GETUPVAR in the presence of deep scope nesting, resulting in a use-after-free. An attacker that can cause Ruby code to be run can use this to possibly execute arbitrary code.
14 CVE-2018-10124 119 DoS Overflow 2018-04-16 2019-03-20
2.1
None Local Low Not required None None Partial
The kill_something_info function in kernel/signal.c in the Linux kernel before 4.13, when an unspecified architecture and compiler is used, might allow local users to cause a denial of service via an INT_MIN argument.
15 CVE-2018-10120 787 DoS Overflow 2018-04-16 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
The SwCTBWrapper::Read function in sw/source/filter/ww8/ww8toolbar.cxx in LibreOffice before 5.4.6.1 and 6.x before 6.0.2.1 does not validate a customizations index, which allows remote attackers to cause a denial of service (heap-based buffer overflow with write access) or possibly have unspecified other impact via a crafted document that contains a certain Microsoft Word record.
16 CVE-2018-10114 119 DoS Overflow 2018-04-16 2018-05-17
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in GEGL through 0.3.32. The gegl_buffer_iterate_read_simple function in buffer/gegl-buffer-access.c allows remote attackers to cause a denial of service (write access violation) or possibly have unspecified other impact via a malformed PPM file, related to improper restrictions on memory allocation in the ppm_load_read_header function in operations/external/ppm-load.c.
17 CVE-2018-10113 119 DoS Overflow 2018-04-16 2018-06-13
5.0
None Remote Low Not required None None Partial
An issue was discovered in GEGL through 0.3.32. The process function in operations/external/ppm-load.c has unbounded memory allocation, leading to a denial of service (application crash) upon allocation failure.
18 CVE-2018-10112 119 DoS Overflow 2018-04-16 2018-05-17
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in GEGL through 0.3.32. The gegl_tile_backend_swap_constructed function in buffer/gegl-tile-backend-swap.c allows remote attackers to cause a denial of service (write access violation) or possibly have unspecified other impact via a malformed PNG file that is mishandled during a call to the babl_format_get_bytes_per_pixel function in babl-format.c in babl 0.1.46.
19 CVE-2018-10111 119 DoS Overflow 2018-04-16 2018-05-17
5.0
None Remote Low Not required None None Partial
An issue was discovered in GEGL through 0.3.32. The render_rectangle function in process/gegl-processor.c has unbounded memory allocation, leading to a denial of service (application crash) upon allocation failure.
20 CVE-2018-9838 190 DoS Exec Code Overflow Mem. Corr. 2018-04-06 2020-07-27
7.5
None Remote Low Not required Partial Partial Partial
The caml_ba_deserialize function in byterun/bigarray.c in the standard library in OCaml 4.06.0 has an integer overflow which, in situations where marshalled data is accepted from an untrusted source, allows remote attackers to cause a denial of service (memory corruption) or possibly execute arbitrary code via a crafted object.
21 CVE-2018-9284 119 Exec Code Overflow 2018-04-04 2018-05-22
10.0
None Remote Low Not required Complete Complete Complete
authentication.cgi on D-Link DIR-868L devices with Singapore StarHub firmware before v1.21SHCb03 allows remote attackers to execute arbitrary code.
22 CVE-2018-9264 787 Overflow 2018-04-04 2020-08-24
5.0
None Remote Low Not required None None Partial
In Wireshark 2.4.0 to 2.4.5 and 2.2.0 to 2.2.13, the ADB dissector could crash with a heap-based buffer overflow. This was addressed in epan/dissectors/packet-adb.c by checking for a length inconsistency.
23 CVE-2018-9261 834 Overflow 2018-04-04 2019-10-03
5.0
None Remote Low Not required None None Partial
In Wireshark 2.4.0 to 2.4.5 and 2.2.0 to 2.2.13, the NBAP dissector could crash with a large loop that ends with a heap-based buffer overflow. This was addressed in epan/dissectors/packet-nbap.c by prohibiting the self-linking of DCH-IDs.
24 CVE-2018-9131 119 Exec Code Overflow 2018-04-24 2018-05-25
4.6
None Local Low Not required Partial Partial Partial
Reaper 5.78 suffers from a local buffer overflow that allows code execution.
25 CVE-2018-9128 119 Overflow 2018-04-01 2019-04-03
6.8
None Remote Medium Not required Partial Partial Partial
DVD X Player Standard 5.5.3.9 has a Buffer Overflow via a crafted .plf file, a related issue to CVE-2007-3068.
26 CVE-2018-9060 119 Exec Code Overflow 2018-04-24 2018-05-25
4.6
None Local Low Not required Partial Partial Partial
R 3.4.4 suffers from a local buffer overflow that allows code execution.
27 CVE-2018-9059 119 Exec Code Overflow 2018-04-20 2019-10-03
7.5
None Remote Low Not required Partial Partial Partial
Stack-based buffer overflow in Easy File Sharing (EFS) Web Server 7.2 allows remote attackers to execute arbitrary code via a malicious login request to forum.ghp. NOTE: this may overlap CVE-2014-3791.
28 CVE-2018-8941 119 Exec Code Overflow 2018-04-03 2018-05-21
9.0
None Remote Low ??? Complete Complete Complete
Diagnostics functionality on D-Link DSL-3782 devices with firmware EU v. 1.01 has a buffer overflow, allowing authenticated remote attackers to execute arbitrary code via a long Addr value to the 'set Diagnostics_Entry' function in an HTTP request, related to /userfs/bin/tcapi.
29 CVE-2018-8840 119 Exec Code Overflow 2018-04-18 2019-10-09
10.0
None Remote Low Not required Complete Complete Complete
A remote attacker could send a carefully crafted packet in InduSoft Web Studio v8.1 and prior versions, and/or InTouch Machine Edition 2017 v8.1 and prior versions during a tag, alarm, or event related action such as read and write, which may allow remote code execution.
30 CVE-2018-8839 787 Exec Code Overflow 2018-04-30 2020-09-29
4.6
None Local Low Not required Partial Partial Partial
Delta PMSoft versions 2.10 and prior have multiple stack-based buffer overflow vulnerabilities where a .ppm file can introduce a value larger than is readable by PMSoft's fixed-length stack buffer. This can cause the buffer to be overwritten, which may allow arbitrary code execution or cause the application to crash. CVSS v3 base score: 7.1; CVSS vector string: AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:H. Delta Electronics recommends affected users update to at least PMSoft v2.11, which was made available as of March 22, 2018, or the latest available version.
31 CVE-2018-8834 787 Overflow 2018-04-17 2020-09-29
4.6
None Local Low Not required Partial Partial Partial
Parsing malformed project files in Omron CX-One versions 4.42 and prior, including the following applications: CX-FLnet versions 1.00 and prior, CX-Protocol versions 1.992 and prior, CX-Programmer versions 9.65 and prior, CX-Server versions 5.0.22 and prior, Network Configurator versions 3.63 and prior, and Switch Box Utility versions 1.68 and prior, may cause a heap-based buffer overflow.
32 CVE-2018-8833 787 Exec Code Overflow 2018-04-25 2020-09-29
6.8
None Remote Medium Not required Partial Partial Partial
Heap-based buffer overflow vulnerabilities in Advantech WebAccess HMI Designer 2.1.7.32 and prior caused by processing specially crafted .pm3 files may allow remote code execution.
33 CVE-2018-8781 190 Exec Code Overflow 2018-04-23 2019-02-28
7.2
None Local Low Not required Complete Complete Complete
The udl_fb_mmap function in drivers/gpu/drm/udl/udl_fb.c at the Linux kernel version 3.4 and up to and including 4.15 has an integer-overflow vulnerability allowing local users with access to the udldrmfb driver to obtain full read and write permissions on kernel physical pages, resulting in a code execution in kernel space.
34 CVE-2018-8072 787 Overflow 2018-04-26 2020-08-24
5.8
None Local Network Low Not required Partial Partial Partial
An issue was discovered on EDIMAX IC-3140W through 3.06, IC-5150W through 3.09, and IC-6220DC through 3.06 devices. The ipcam_cgi binary contains a stack-based buffer overflow that is possible to trigger from a remote unauthenticated /camera-cgi/public/getsysyeminfo.cgi?action=VALUE_HERE HTTP request: if the VALUE_HERE length is more than 0x400 (1024), it is possible to overwrite other values located on the stack due to an incorrect use of the strcpy() function.
35 CVE-2018-7762 119 Overflow 2018-04-18 2018-05-24
5.0
None Remote Low Not required None None Partial
A vulnerability exists in the web services to process SOAP requests in Schneider Electric's Modicon M340, Modicon Premium, Modicon Quantum PLC, BMXNOR0200 which could allow result in a buffer overflow.
36 CVE-2018-7759 119 Overflow 2018-04-18 2018-05-24
5.0
None Remote Low Not required None None Partial
A buffer overflow vulnerability exists in Schneider Electric's Modicon M340, Modicon Premium, Modicon Quantum PLC, BMXNOR0200. The buffer overflow vulnerability is caused by the length of the source string specified (instead of the buffer size) as the number of bytes to be copied.
37 CVE-2018-7527 119 Overflow 2018-04-26 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
A buffer overflow can be triggered in LeviStudio HMI Editor, Version 1.10 part of Wecon LeviStudioU 1.8.29, and PI Studio HMI Project Programmer, Build: November 11, 2017 and prior by opening a specially crafted file.
38 CVE-2018-7514 787 Overflow 2018-04-17 2020-10-02
4.6
None Local Low Not required Partial Partial Partial
Parsing malformed project files in Omron CX-One versions 4.42 and prior, including the following applications: CX-FLnet versions 1.00 and prior, CX-Protocol versions 1.992 and prior, CX-Programmer versions 9.65 and prior, CX-Server versions 5.0.22 and prior, Network Configurator versions 3.63 and prior, and Switch Box Utility versions 1.68 and prior, may cause a stack-based buffer overflow.
39 CVE-2018-6917 190 Overflow 2018-04-04 2018-05-24
5.0
None Remote Low Not required Partial None None
In FreeBSD before 11.1-STABLE, 11.1-RELEASE-p9, 10.4-STABLE, 10.4-RELEASE-p8 and 10.3-RELEASE-p28, insufficient validation of user-provided font parameters can result in an integer overflow, leading to the use of arbitrary kernel memory as glyph data. Unprivileged users may be able to access privileged kernel data.
40 CVE-2018-6913 787 Exec Code Overflow 2018-04-17 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
Heap-based buffer overflow in the pack function in Perl before 5.26.2 allows context-dependent attackers to execute arbitrary code via a large item count.
41 CVE-2018-6797 787 Overflow 2018-04-17 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in Perl 5.18 through 5.26. A crafted regular expression can cause a heap-based buffer overflow, with control over the bytes written.
42 CVE-2018-6413 119 DoS Overflow 2018-04-18 2018-05-23
5.0
None Remote Low Not required None None Partial
There is a buffer overflow in the Hikvision Camera DS-2CD9111-S of V4.1.2 build 160203 and before, and this vulnerability allows remote attackers to launch a denial of service attack (service interruption) via a crafted network setting interface request.
43 CVE-2018-6251 119 DoS Exec Code Overflow 2018-04-02 2018-05-11
7.2
None Local Low Not required Complete Complete Complete
NVIDIA Windows GPU Display Driver contains a vulnerability in the DirectX 10 Usermode driver, where a specially crafted pixel shader can cause writing to unallocated memory, leading to denial of service or potential code execution.
44 CVE-2018-5828 119 Overflow 2018-04-03 2018-05-14
4.6
None Local Low Not required Partial Partial Partial
In Qualcomm Android for MSM, Firefox OS for MSM, and QRD Android with all Android releases from CAF using the Linux kernel before security patch level 2018-04-05, in function wma_extscan_start_stop_event_handler(), vdev_id comes from the variable event from firmware and is not properly validated potentially leading to a buffer overwrite.
45 CVE-2018-5824 119 Overflow 2018-04-03 2018-05-11
4.6
None Local Low Not required Partial Partial Partial
In Qualcomm Android for MSM, Firefox OS for MSM, and QRD Android with all Android releases from CAF using the Linux kernel before security patch level 2018-04-05, while processing HTT_T2H_MSG_TYPE_RX_FLUSH or HTT_T2H_MSG_TYPE_RX_PN_IND messages, a buffer overflow can occur if the tid value obtained from the firmware is out of range.
46 CVE-2018-5823 119 Overflow 2018-04-03 2018-05-11
4.6
None Local Low Not required Partial Partial Partial
In Qualcomm Android for MSM, Firefox OS for MSM, and QRD Android with all Android releases from CAF using the Linux kernel before security patch level 2018-04-05, improper buffer length validation in extscan hotlist event can lead to potential buffer overflow.
47 CVE-2018-5822 119 Overflow 2018-04-03 2018-05-08
7.5
None Remote Low Not required Partial Partial Partial
In Qualcomm Android for MSM, Firefox OS for MSM, and QRD Android with all Android releases from CAF using the Linux kernel before security patch level 2018-04-05, compromised WLAN FW can potentially cause a buffer overwrite.
48 CVE-2018-5820 190 Overflow 2018-04-03 2018-05-08
7.5
None Remote Low Not required Partial Partial Partial
In Qualcomm Android for MSM, Firefox OS for MSM, and QRD Android with all Android releases from CAF using the Linux kernel before security patch level 2018-04-05, in the function wma_tbttoffset_update_event_handler(), a parameter received from firmware is used to allocate memory for a local buffer and is not properly validated. This can potentially result in an integer overflow subsequently leading to a heap overwrite.
49 CVE-2018-5463 119 Exec Code Overflow 2018-04-09 2019-10-09
4.6
None Local Low Not required Partial Partial Partial
A structured exception handler overflow vulnerability in Leao Consultoria e Desenvolvimento de Sistemas (LCDS) LTDA ME LAquis SCADA 4.1.0.3391 and earlier may allow code execution.
50 CVE-2018-4165 119 DoS Exec Code Overflow Mem. Corr. 2018-04-03 2019-03-08
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in certain Apple products. iOS before 11.3 is affected. Safari before 11.1 is affected. iCloud before 7.4 on Windows is affected. iTunes before 12.7.4 on Windows is affected. tvOS before 11.3 is affected. The issue involves the "WebKit" component. It allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption and application crash) via a crafted web site.
Total number of vulnerabilities : 293   Page : 1 (This Page)2 3 4 5 6
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.